BASE16384(1)

NAME
base16384 - Encode binary files to printable utf16be

SYNOPSIS
base16384 -[ed][t][n][cC] <inputfile> <outputfile>

DESCRIPTION

There are 16384 Chinese characters ( from 4E00 to 8DFF ) as the alphabet , just like what base64 did. If length of the data has a remainder after mod 7, an unicode Chinese character 3Dxx will be appended to present it with xx ranging from 01 to 06

OPTIONS

-e  Read data from inputfile and encode them into outputfile. It's the default option when neither -e nor -d is specified.

-d  Read data from inputfile and decode them into outputfile.

-t  Show spend time.

-n  Do not write utf16be file header 0xFEFF to the output.

-c  Embed or validate checksum in remainder when using stdin or stdout or inputsize > _BASE16384_ENCBUFSZ.

-C  Do -c forcely.

inputfile
    An absolute or relative file path. Specially, pass - to read from stdin.

outputfile
    An absolute or relative file path. Specially, pass - to write to stdout.

EXIT STATUS

0   Exit on success.

1   Get file size error.

2   Fopen output file error.

3   Fopen input file error.

4   Write file error.

5   Open input file error.

6   Map input file error.

7   Write file error in mmap.

8   Invalid input/output filename.

9   Invalid commandline parameter.

10  Invalid decoding checksum.

SEE ALSO
https://github.com/fumiama/base16384

BUGS
There are currently no known bugs in this application. If you have found them, please contact the author on github.

AUTHOR
This manual page contributed by Fumiama Minamoto.

COPYRIGHT
Copyright © 2022-2025, Fumiama Minamoto This file is part of base16384.

Base16384 is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

Base16384 is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.